%define _extdir %{_libdir}/php56/extensions

Summary: APC User Cache PHP extension
Summary(ko): APC 사용자 캐시 PHP 확장
Name: php56-pecl-apcu
Version: 4.0.11
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: apcu-%{version}.tgz
Source1: apcu.ini

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: php56api
BuildRequires: php56-devel
Provides: php56-apc

%description
PHP 5.6 APC User Caching

%prep
%setup -q -n apcu-%{version}

%build
phpize56
./configure \
	--enable-apc-bc \
	--enable-apcu-clear-signal \
	--enable-apcu-spinlocks

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/fpm/
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php56.d/fpm/apcu.ini
%{__install} -m755 modules/apcu.so %{buildroot}%{_extdir}/apcu.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/apcu.so
%config(noreplace) %{_sysconfdir}/php56.d/fpm/apcu.ini


%changelog
* Thu Aug 11 2016 JoungKyun.Kim <http://oops.org> 1:4.0.11-1%{?dist}
- update 4.0.11
  http://pecl.php.net/package-changelog.php?package=APCu&release=4.0.11
- fixed configuration acp.enabled to apc.enabled
- add and enable apc.rfc1867

* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:4.0.10-1%{?dist}
- update 4.0.10

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:4.0.7-1%{?dist}
- update 4.0.7

* Wed Oct  5 2011 JoungKyun.Kim <http://oops.org> 0:3.1.9-1%{?dist}
- first packaged

